%define ocamlpck  curl

Name:          ocaml-curl
Version:       0.9.2
Release:       1mamba
Summary:       OCaml bindings to libcurl 
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ygrek.org/p/ocurl
Source:        https://github.com/ygrek/ocurl.git/%{version}/ocurl-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: ocaml
## AUTOBUILDREQ-END
BuildRequires: ocaml
BuildRequires: ocaml-findlib

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n ocurl-%{version}

%build
./configure --prefix %{_prefix}
make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export OCAMLFIND_DESTDIR="%{buildroot}$(ocamlfind printconf destdir)"
install -dm 755 "${OCAMLFIND_DESTDIR}/stublibs"
make install FINDLIB=ocamlfind

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES* README.md

%changelog
* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1mamba
- package created using the webbuild interface
